#include<bits/stdc++.h>
using namespace std;
int a[100001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, k;
    cin >> n >> k;
    int ans = 0;
    for(int i = 0; i < n; i++)cin >> a[i];
    for(int i = 0; i < n; i++){
        for(int j = i + 1; j < n; j++){
            int anss = 0;
            for(int p = i; p <= j; p++){
                anss = a[p] | anss;
            }
            if(anss >= k)ans++;
        }
    }
    cout << ans;

    return 0;
}
